# $Revision: 1.19 $, $Date: 2005/05/31 18:28:39 $
Summary:	Application to create and manage icons on fluxbox desktop
Summary(pl):	Aplikacja do tworzenia i zarzdzania ikonami w fluxboksie
Name:		fbdesk
Version:	1.2.1
Release:	1
License:	BSD-like
Group:		X11/Window Managers/Tools
Source0:	http://fluxbox.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	382a32a6e26b3f3d3a647fa4bdc81b7a
Source1:	xft.m4
URL:		http://www.fluxbox.org/fbdesk/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xft-devel
Requires:	fluxbox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package include an application to create and manage icons on
fluxbox desktop. It supports antialiasing, XPM and PNG icons. You can
put text above or below, at the left or right side icons. Supports
UTF-8.

%description -l pl
Ten pakiet zawiera narzdzie do tworzenia i zarzdzania ikonami na
pulpicie fluxboksa. Wspiera antyaliasing, ikony zarwno w formacie XPM
jak i PNG. Tekst moe by umiejscowiony pod lub nad ikonami, z lewej
albo z prawej strony. Obsuguje UTF-8.

%prep
%setup -q
install %{SOURCE1} .

%build
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog INSTALL README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fbdesk.spec,v $
Revision 1.19  2005/05/31 18:28:39  zbyniu
- BR: libtool, pkgconfig

Revision 1.18  2005/01/22 12:16:03  kolodko
- removed patches event and types
- rel 1
- STBR

Revision 1.17  2004/12/29 18:08:49  qboosh
- release 0.1 due to unfinished update

Revision 1.16  2004/12/28 20:42:03  kolodko
- up to 1.2.1 (just md5, patches later)

Revision 1.15  2004/12/16 19:16:09  kolodko
- added URL

Revision 1.14  2004/07/10 12:35:01  havner
- types patch by qboosh
- rel 3

Revision 1.13  2004/07/10 12:20:15  havner
- event patch added

Revision 1.12  2004/07/10 11:46:58  havner
- removed XFT patch
- fixed building with xft
- rel 2

Revision 1.11  2003/10/15 14:28:06  qboosh
- fixed License, s/XFree86-xft-devel/xft-devel/, BR: libstdc++-devel

Revision 1.10  2003/07/13 13:43:10  erjot
- up to 1.1.5 (gcc 3.3 fixes)

Revision 1.9  2003/05/28 10:45:15  misi3k
- updated to 1.1.4

Revision 1.8  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.7  2003/05/25 05:47:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/25 23:35:49  qboosh
- pl fixes

Revision 1.5  2003/03/23 15:51:26  djrzulf
- From: Rafal Janiczek <jojo@oho.pl>,
- new group,
- BR: XFree86-{,xft}-devel,

Revision 1.4  2003/03/22 13:06:18  djrzulf
- correction from: ukasz Jerna <deejay1@nsj.srem.pl>,

Revision 1.3  2003/03/22 12:24:45  djrzulf
- Release 1,
- cleanups,

Revision 1.2  2003/03/22 12:22:03  djrzulf
- need more BRs,
- adapterized,

Revision 1.1  2003/03/22 12:18:54  djrzulf
- From: Rafal Janiczek <jojo@oho.pl>
- some cleanups, need to be adapterized,
